Update voice channels for US Zone
Update the number of Voice Channels for the US Zone. This allows your account to handle multiple simultaneous inbound calls to US numbers. Use this endpoint to increase or decrease your capacity based on expected call volume.
PATCH
/
inbound_channels
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const inboundChannel = await client.inboundChannels.update({ channels: 7 });
console.log(inboundChannel.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
inbound_channel = client.inbound_channels.update(
channels=7,
)
print(inbound_channel.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
inboundChannel, err := client.InboundChannels.Update(context.TODO(), telnyx.InboundChannelUpdateParams{
Channels: 7,
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", inboundChannel.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.inboundchannels.InboundChannelUpdateParams;
import com.telnyx.sdk.models.inboundchannels.InboundChannelUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
InboundChannelUpdateParams params = InboundChannelUpdateParams.builder()
.channels(7L)
.build();
InboundChannelUpdateResponse inboundChannel = client.inboundChannels().update(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
inbound_channel = telnyx.inbound_channels.update(channels: 7)
puts(inbound_channel)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$inboundChannel = $client->inboundChannels->update(channels: 7);
var_dump($inboundChannel);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx inbound-channels update \
--api-key 'My API Key' \
--channels 7curl --request PATCH \
--url https://api.telnyx.com/v2/inbound_channels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"channels": 7
}'{
"data": {
"channels": 7,
"record_type": "inbound_channels"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Voice channels update
The new number of concurrent channels for the account
Example:
7
Response
Expected Update response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const inboundChannel = await client.inboundChannels.update({ channels: 7 });
console.log(inboundChannel.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
inbound_channel = client.inbound_channels.update(
channels=7,
)
print(inbound_channel.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
inboundChannel, err := client.InboundChannels.Update(context.TODO(), telnyx.InboundChannelUpdateParams{
Channels: 7,
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", inboundChannel.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.inboundchannels.InboundChannelUpdateParams;
import com.telnyx.sdk.models.inboundchannels.InboundChannelUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
InboundChannelUpdateParams params = InboundChannelUpdateParams.builder()
.channels(7L)
.build();
InboundChannelUpdateResponse inboundChannel = client.inboundChannels().update(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
inbound_channel = telnyx.inbound_channels.update(channels: 7)
puts(inbound_channel)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$inboundChannel = $client->inboundChannels->update(channels: 7);
var_dump($inboundChannel);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx inbound-channels update \
--api-key 'My API Key' \
--channels 7curl --request PATCH \
--url https://api.telnyx.com/v2/inbound_channels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"channels": 7
}'{
"data": {
"channels": 7,
"record_type": "inbound_channels"
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}